{% extends "index.html" %}


{% block style_sheets %}
<link type="text/css" rel="stylesheet" href="/static/css/client/units.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/radio.css">

{% endblock %}

{% block content %}
      <div class="loader"></div>
    <div style="display: none;" id="cancel_ui" class="row">

 

    <label>Unit name</label>
    <span id="unit_name">{{unit.unit_name}}</span><br><br>

        {% if delivery_option %}

                Do you want us to bring the container/pod to you?
                <select  class="form-control" id="delivery_required" required>
                    <option  value="Invalid">Please select an option</option>
                    <option value="No">No - I will vacate the container at the facility</option>
                    <option value="Yes">Yes - I would like to schedule a delivery for R{{delivery_cost}}</option>
                    
                </select>



      <div style="display: none;" id="delivery_section">
                    <label>Delivery address in the following format: street number, street name  (Only addresses in Stellenbosch)</label>

                    <input class="form-control" id="delivery_address">
                    <div class="form-group">
                        <label for="comment">Delivery note, make it easier for the driver to find you:</label>
                        <textarea class="form-control" rows="5" id="delivery-note-content"></textarea>
                    </div>
                    <div class="datetime">
                        <div>
                            Drop-off date (Date we bring the pod to you, for packing)
                            <input class="delivery_field" required  id="dropoff_date"
                                   class="form-control"/>
                        </div>
                        <div>
                            <label>Time</label>    <br>


                            <div class="radio">
                                <label><input value="MORNING" checked type="radio" name="dropoff_time">Morning (8AM - 12PM)</label>
                            </div>
                            <div class="radio">
                                <label><input value="AFTERNOON"  type="radio" name="dropoff_time">Afternoon (1PM - 5PM)</label>
                            </div>



                        </div>
                    </div>

                    <div class="datetime">
                        <div class="form-group">
                            <div>
                                Pickup date (Date we collect the pod again and store it at our facility)
                                <input class="delivery_field" required id="pickup_date"
                                       class="form-control"/>
                            </div>
                            <label>Time</label>   <br>
                            <div class="radio">
                                <label><input value="MORNING" checked type="radio" name="pickup_time">Morning (8AM - 12PM)</label>
                            </div>
                            <div class="radio">
                                <label><input value="AFTERNOON" type="radio" name="pickup_time">Afternoon (1PM - 5PM)</label>
                            </div>


                        </div>
                    </div>
                </div>
               
                <div style="display: none;" id="collection_section">

                    <div class="row">
                        <div class="col-md-6">
                            <label>Evacuation date</label>    <br>
                            <input  required id="evac_date"
                                   class="form-control"/>
                        </div>
                        <div class="col-md-6">
                            <label>Time</label>   <br> 
                            <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                <label class="btn active">
                                    <input value="MORNING" type="radio" name='evac_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                </label>
                                <label class="btn">
                                    <input value="AFTERNOON" type="radio" name='evac_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                </label>
                            </div>
                            <br>
                        </div>
                    </div>

                </div>
                    <button style="display: none;"  id="cancel_rent_btn" class="btn btn-warning">Cancel rent</button>
                     {% else %}
                     <button id="cancel_rent_btn" class="btn btn-warning">Cancel rent</button>
                {% endif %}


 

</div>


  {% endblock %}

 {% block scripts %} 
      <script>

function displayUI(){
$("#cancel_ui").slideDown()
}

        var has_delivery = false



      $( document ).ready(function() {
       waitForUserAuth(displayUI)
       $(".loader").hide()
        
      });

  

 $(function(){



    var tomoz =  new Date(new Date().getTime() + 24 * 60 * 60 * 1000);
          $('#dropoff_date').datetimepicker({minDate:tomoz,viewMode: 'months',
                    format: 'DD/MM/YYYY',
                daysOfWeekDisabled: [0, 6]})


                  $('#pickup_date').datetimepicker({minDate:tomoz,viewMode: 'months',
                    format: 'DD/MM/YYYY', daysOfWeekDisabled: [0, 6]})

              $('#evac_date').datetimepicker({minDate:tomoz,viewMode: 'months',
                    format: 'DD/MM/YYYY', daysOfWeekDisabled: [0, 6]})



                  function hideUI(){
                    $("#cancel_ui").slideUp()
                  }

    $(document).on('change', '#delivery_required', function(e) {

        value = this.options[e.target.selectedIndex].text
        console.log(value);
         $("#cancel_rent_btn").show()
        if (value.startsWith('Yes')) {
            has_delivery = true
            $( "#delivery_section" ).slideDown( "slow");
            $( "#collection_section" ).slideUp( "slow");
        } else if (value.startsWith('No')) {
           has_delivery = false
            $( "#delivery_section" ).slideUp( "slow");
            $( "#collection_section" ).slideDown( "slow");
        } else {
          $("#cancel_rent_btn").hide()

        }
    });


      $( "#cancel_rent_btn" ).click(function( event ) {
        AjaxPOST('/api/v1/current_users/units/cancelations', {'address':  $("#delivery_address").val() , 
            'has_delivery': has_delivery,
            'unit_name': $("#unit_name").text(),
            'pickup_date':$('#pickup_date').val(),
            'evac_date':$('#evac_date').val(),
            'evac_time': $("input[name='evac_time']:checked").val(),
            'dropoff_date':$('#dropoff_date').val(),
            'dropoff_time': $("input[name='dropoff_time']:checked").val(),
            'pickup_time': $("input[name='pickup_time']:checked").val(),
             'delivery_note': $("delivery-note-content").val() }, hideUI)

      });

   });



    </script>
 {% endblock %}

